MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023689Community[OCCT] OCCT:Codingpublic2013-01-07 15:292013-04-23 13:33
ReporterPawel 
Assigned Toibs 
PrioritynormalSeverityblock 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2008OS Version32 bit
Product Version[OCCT] 6.5.4 
Target VersionFixed in Version[OCCT] 6.6.0 
Summary0023689: OCCT does not compile on Windows
DescriptionThe following projects:

TKDraw
TKViewerTest
TKQADraw

cannot be recompiled from scratch on VS2008. The compiler returns the following error:

c1xx : C1083 Cannot open filetype file: ':': Invalid argument

This is probably due to the option:
AdditionalOptions=": "
which can be found in the corresponding *.vcproj files.

Problem occurred with the master from 04.01.2013 (08c28f5b83f98f739ca15af6767b3ef6639b1f33)
TagsNo tags attached.
Test case number
Attached Files

- Relationships
child of 0023657closeddbv Open CASCADE Fails compilation with WOK after patch 22980 

-  Notes
(0022913)
abv (manager)
2013-01-09 02:50

This problem has to be fixed in WOK (see 0023657): in the file CSF.edl located in subdirectory lib of WOK install folder, on line 60, change definition of CSF_TCL_INCLUDE to empty string:

  @set %CSF_TCL_INCLUDE = "";

The corrected version of WOK is expected to be published in about one week.
(0024244)
Pawel (developer)
2013-04-23 12:56

Dear bugmaster,

this issue is solved by the current WOK version. Please close this issue.

- Issue History
Date Modified Username Field Change
2013-01-07 15:29 Pawel New Issue
2013-01-07 15:29 Pawel Assigned To => bugmaster
2013-01-09 02:50 abv Note Added: 0022913
2013-01-09 02:51 abv Relationship added child of 0023657
2013-04-23 12:56 Pawel Note Added: 0024244
2013-04-23 12:56 Pawel Status new => resolved
2013-04-23 13:33 bugmaster Status resolved => closed
2013-04-23 13:33 bugmaster Assigned To bugmaster => ibs
2013-04-23 13:33 bugmaster Resolution open => fixed
2013-04-23 13:33 bugmaster Fixed in Version => 6.6.0
2014-01-11 11:58 abv Category OCCT Release:BUILD => OCCT:Coding


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker